Update MCP settings
PUT
/api/mcp/settingsTurn the MCP server on or off.
Needs the ManageSettings permission.
AuthorizationBearer <token>
An API key, made on Settings, API keys. Every key starts with mbk_.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/api/mcp/settings" \ -H "Content-Type: application/json" \ -d '{ "enabled": true }'{ "enabled": true, "serverUrl": "string", "publicAddressSet": true, "tools": [ { "name": "string", "label": "string", "needs": [ "string" ], "onlyReads": true, "enabled": true } ], "keyPermissions": [ "string" ]}